| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
messaging.hpp File Reference
Private

messaging_decode and messaging_encode are used to insert messages in a flow if data blocks More...

`#include "../my_config.h"`
`#include <string>`
`#include "label.hpp"`
`#include "infinint.hpp"`
`#include "memory_file.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | msg_type { unset, order_read_ahead, order_read_ahead_begin, order_read, order_sync_write, answr_sync_write_done, order_skip, order_skip_begin, order_skip_to_eof, order_skip_fwd, order_skip_bkd, answr_skip_done, order_skippable_fwd, order_skippable_fwd_begin, order_skippable_bkd, order_skippable_bkd_begin, answr_skippable, order_get_position, answr_position, answr_position_begin, answr_exception, order_end_of_xmit, order_stop_readahead, answr_readahead_stopped, order_wakeup, data_partial, data_completed }

## Functions
bool | libdar::msg_equivalent (msg_type arg1, msg_type arg2)
bool | libdar::msg_continues (msg_type msg)
char | libdar::msg_type2char (msg_type x)
msg_type | libdar::char2msg_type (char x)
msg_type | libdar::msg_continuation_of (msg_type x)

## Detailed Description

messaging_decode and messaging_encode are used to insert messages in a flow if data blocks

Definition in file messaging.hpp.